﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace doubleClickSelector_case
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        private ObservableCollection<Person> persons = new ObservableCollection<Person>();

        public MainWindow()
        {
            InitializeComponent();
            persons.Add(new Person() { ID = 1, Name = "Stamat", Age = 20, Balance = 100.55 });
            persons.Add(new Person() { ID = 2, Name = "Gosho", Age = 21, Balance = 15546556.65 });
            persons.Add(new Person() { ID = 3, Name = "Pesho", Age = 22, Balance = 14445.92 });
            persons.Add(new Person() { ID = 4, Name = "Gancho", Age = 22, Balance = 24445.92 });
            persons.Add(new Person() { ID = 5, Name = "Mancho", Age = 20, Balance = 45.92 });
            persons.Add(new Person() { ID = 6, Name = "Cecka", Age = 21, Balance = 564 });
            persons.Add(new Person() { ID = 7, Name = "Kichka", Age = 22, Balance = 565.56 });

            this.DataContext = persons;         

           
        }

    

        private void RecordSelector_MouseDoubleClick(object sender, MouseButtonEventArgs e)
        {
            MessageBox.Show("Double-Click Event");
        }

        
    }
    public class Person
    {
        private int _ID;
        private string _name;
        private int _age;
        private double _balance;


        public int ID
        {
            get { return _ID; }
            set
            {
                _ID = value;
                
            }
        }
        public string Name
        {
            get { return _name; }
            set
            {
                _name = value;
                
            }
        }

        public int Age
        {
            get { return _age; }
            set
            {
                _age = value;
             
            }
        }
        public double Balance
        {
            get { return _balance; }
            set
            {
                _balance = value;
               
            }
        }
        
    }
}


